Process OIDC callback
GET /api/v1/auth/sso/oidc/callback
GET
/api/v1/auth/sso/oidc/callback
Handle the OIDC authorization code callback and extract user information.
Authorizations
Parameters
Query Parameters
code
required
Authorization code from the IdP
string
Authorization code from the IdP
state
required
State parameter for CSRF validation
string
State parameter for CSRF validation
Responses
200
Successful Response
Response containing user info extracted from an SSO assertion.
Attributes: email: The user’s email address. name: The user’s display name. groups: SSO group memberships. provider_user_id: Unique user ID from the identity provider.
object
email
required
string
groups
Array<string>
name
string
provider_user_id
string
422
Validation Error
object
detail
Array<object>
object
ctx
object
input
loc
required
Array
msg
required
string
type
required
string